<VirtualHost *:443>
	ServerAdmin admin@missclick.net
        ServerName missclick.net
	ServerAlias www.missclick.net
	DocumentRoot /home/lizzie/Films
	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined

	Alias /static /home/lizzie/Films/static
	<Directory /home/lizzie/Films/static>
		Require all granted
	</Directory>
	
	Alias /media /home/lizzie/Films/media
	<Directory /home/lizzie/Films/media>
		Require all granted
	</Directory>	
	
	Alias /admin /chemin/vers/un/dossier/inexistant
    <Directory /chemin/vers/un/dossier/inexistant>
        Require all denied
    </Directory>

	<Directory /home/lizzie/Films/terrien>
		<Files wsgi.py>
			Require all granted
		</Files>
	</Directory>

	WSGIDaemonProcess Films python-path=/home/lizzie/Films python-home=/home/lizzie/Films/venv 
	WSGIProcessGroup Films
	WSGIPassAuthorization On
	WSGIScriptAlias / /home/lizzie/Films/terrien/wsgi.py process-group=Films application-group=%{GLOBAL}

	
	SSLEngine on


#	SLCACertificateFile /etc/apache2/ssl/intermediate.crt
#	SSLCertificateFile /etc/ssl/certs/ssl-cert-snakeoil.pem
#	SSLCertificateKeyFile /etc/ssl/private/ssl-cert-snakeoil.key

	SSLProtocol -ALL +TLSv1 +TLSv1.1 +TLSv1.2
	SSLHonorCipherOrder On
	SSLCipherSuite ECDHE-RSA-AES128-SHA256:AES128-GCM-SHA256:HIGH:!MD5:!aNULL:!EDH:!RC4
        SSLCompression off


        Include /etc/letsencrypt/options-ssl-apache.conf
        SSLCertificateFile /etc/letsencrypt/live/missclick.net/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/missclick.net/privkey.pem
</VirtualHost>
